## osso-product-info 0.7.3.2-2

=== Makefile ===
all: libossoproductinfo.so.0.7.3 osso-product-info

libossoproductinfo.so.0.7.3: libossoproductinfo.c libossoproductinfo.h
	$(CC) $(CFLAGS) $(shell pkg-config --cflags --libs libcal sysinfo dbus-1) -pthread -shared -Wl,-soname=libossoproductinfo.so.0 $^ -o $@

osso-product-info: osso-product-info.c libossoproductinfo.so.0.7.3
	$(CC) $(CFLAGS) $^ -o $@

clean:
	$(RM) libossoproductinfo.so.0.7.3 osso-product-info

install:
	install -d "$(DESTDIR)/usr/include/"
	install -d "$(DESTDIR)/usr/lib/"
	install -d "$(DESTDIR)/usr/bin/"
	install -m 644 libossoproductinfo.h "$(DESTDIR)/usr/include/"
	install -m 755 osso-product-info "$(DESTDIR)/usr/bin/"
	install -m 755 libossoproductinfo.so.0.7.3 "$(DESTDIR)/usr/lib/"
	ln -s libossoproductinfo.so.0.7.3 "$(DESTDIR)/usr/lib/libossoproductinfo.so.0"
	ln -s libossoproductinfo.so.0 "$(DESTDIR)/usr/lib/libossoproductinfo.so"

=== debian/changelog ===
osso-product-info (0.7.3.2-2) unstable; urgency=low

  * Fix not setting OSSO_VERSION correctly

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 4 Jan 2016 17:50:22 +0200

osso-product-info (0.7.3.2-1) unstable; urgency=low

  * Initial release

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 19 Oct 2013 22:33:09 +0200

=== debian/control ===
Source: osso-product-info
Priority: extra
Section: utils
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 5), libcal-dev, libdbus-1-dev, libsysinfo-dev, pkg-config
Standards-Version: 3.9.3

Package: osso-product-info
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libossoproductinfo0 (>= ${binary:Version})
Description: get SW/HW information on OSSO platform
 osso-product-info is a wrapper which provide a unified interface
 to get an information about a hardware the program is running on,
 and a version of OSSO sowftware.
 .
 This is a command-line utility to make queries about the product
 information from scripts.

Package: libossoproductinfo0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: get SW/HW information on OSSO platform
 osso-product-info is a wrapper which provide a unified interface
 to get an information about a hardware the program is running on,
 and a version of OSSO sowftware.
 .
 This is a shared library for C programs

Package: libossoproductinfo-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libossoproductinfo0 (>= ${binary:Version})
Description: get SW/HW information on OSSO platform
 osso-product-info is a wrapper which provide a unified interface
 to get an information about a hardware the program is running on,
 and a version of OSSO sowftware.
 .
 This is a development header file for C programs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -fPIC -Wall -g -Wmissing-prototypes -Wcast-align

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

export CFLAGS

build:
	$(MAKE)

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

binary:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary
